local DG = DoomGuy

freeslot("SPR_DCEL", "S_AMMO_CELL", "MT_AMMO_CELL")
states[S_AMMO_CELL] = {sprite = SPR_DCEL, frame = A, nextstate = S_AMMO_CELL, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_AMMO_CELL] = {
	--$Name "Battery Cell"
	--$Sprite ROCKA0
	--$Category "DOOM Ammo"
	doomednum = 4006,
	spawnstate = S_AMMO_CELL,
	radius = 20 * FU,
	height = 16 * FU,
	damage = 20,
	flags = MF_SPECIAL
}
mobjinfo[MT_AMMO_CELL].ammotype = "cell"
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_AMMO_CELL)
addHook("TouchSpecial", DG.AmmoPickupHook, MT_AMMO_CELL)

freeslot("SPR_DCPP", "S_AMMO_CELL_PACK", "MT_AMMO_CELL_PACK")
states[S_AMMO_CELL_PACK] = {sprite = SPR_DCPP, frame = A, nextstate = S_AMMO_CELL_PACK, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_AMMO_CELL_PACK] = {
	--$Name "Battery Cell Pack"
	--$Sprite ROKBA0
	--$Category "DOOM Ammo"
	doomednum = 4007,
	spawnstate = S_AMMO_CELL_PACK,
	radius = 20 * FU,
	height = 16 * FU,
	damage = 200,
	flags = MF_SPECIAL
}
mobjinfo[MT_AMMO_CELL_PACK].ammotype = "cell"
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_AMMO_CELL_PACK)
addHook("TouchSpecial", DG.AmmoPickupHook, MT_AMMO_CELL_PACK)