local DG = DoomGuy

freeslot("SPR_DRCK", "S_AMMO_ROCKET", "MT_AMMO_ROCKET")
states[S_AMMO_ROCKET] = {sprite = SPR_DRCK, frame = A, nextstate = S_AMMO_ROCKET, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_AMMO_ROCKET] = {
	--$Name "Rocket"
	--$Sprite ROCKA0
	--$Category "DOOM Ammo"
	doomednum = 4004,
	spawnstate = S_AMMO_ROCKET,
	radius = 20 * FU,
	height = 16 * FU,
	damage = 1,
	flags = MF_SPECIAL
}
mobjinfo[MT_AMMO_ROCKET].ammotype = "rocket"
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_AMMO_ROCKET)
addHook("TouchSpecial", DG.AmmoPickupHook, MT_AMMO_ROCKET)

freeslot("SPR_DRKB", "S_AMMO_ROCKET_BOX", "MT_AMMO_ROCKET_BOX")
states[S_AMMO_ROCKET_BOX] = {sprite = SPR_DRKB, frame = A, nextstate = S_AMMO_ROCKET_BOX, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_AMMO_ROCKET_BOX] = {
	--$Name "Box of Rockets"
	--$Sprite ROKBA0
	--$Category "DOOM Ammo"
	doomednum = 4005,
	spawnstate = S_AMMO_ROCKET_BOX,
	radius = 20 * FU,
	height = 16 * FU,
	damage = 5,
	flags = MF_SPECIAL
}
mobjinfo[MT_AMMO_ROCKET_BOX].ammotype = "rocket"
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_AMMO_ROCKET_BOX)
addHook("TouchSpecial", DG.AmmoPickupHook, MT_AMMO_ROCKET_BOX)