local DG = DoomGuy

freeslot("SPR_DSHL", "S_AMMO_SHELL", "MT_AMMO_SHELL")
states[S_AMMO_SHELL] = {sprite = SPR_DSHL, frame = A, nextstate = S_AMMO_SHELL, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_AMMO_SHELL] = {
	--$Name "Shells"
	--$Sprite SHELA0
	--$Category "DOOM Ammo"
	doomednum = 4002,
	spawnstate = S_AMMO_SHELL,
	radius = 20 * FU,
	height = 16 * FU,
	damage = 4,
	flags = MF_SPECIAL
}
mobjinfo[MT_AMMO_SHELL].ammotype = "shell"
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_AMMO_SHELL)
addHook("TouchSpecial", DG.AmmoPickupHook, MT_AMMO_SHELL)

freeslot("SPR_DSHB", "S_AMMO_SHELL_BOX", "MT_AMMO_SHELL_BOX")
states[S_AMMO_SHELL_BOX] = {sprite = SPR_DSHB, frame = A, nextstate = S_AMMO_SHELL_BOX, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_AMMO_SHELL_BOX] = {
	--$Name "Shell Box"
	--$Sprite SHEBA0
	--$Category "DOOM Ammo"
	doomednum = 4003,
	spawnstate = S_AMMO_SHELL_BOX,
	radius = 20 * FU,
	height = 16 * FU,
	damage = 20,
	flags = MF_SPECIAL
}
mobjinfo[MT_AMMO_SHELL_BOX].ammotype = "shell"
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_AMMO_SHELL_BOX)
addHook("TouchSpecial", DG.AmmoPickupHook, MT_AMMO_SHELL_BOX)