local DG = DoomGuy

freeslot("SPR_DBSK", "S_POWERUP_BERSERK", "MT_POWERUP_BERSERK")
states[S_POWERUP_BERSERK] = {sprite = SPR_DBSK, frame = A, nextstate = S_POWERUP_BERSERK, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_POWERUP_BERSERK] = {
	--$Name "Berserk"
	--$Sprite BSRKA0
	--$Category "DOOM Powerups"
	doomednum = 4019,
	spawnstate = S_POWERUP_BERSERK,
	radius = 20 * FRACUNIT,
	height = 16 * FRACUNIT,
	flags = MF_SPECIAL
}
mobjinfo[MT_POWERUP_BERSERK].execute = function(player, mobj)
	if (player.doom.health < player.doom.health_max) then
		player.doom.health = min($ + (100 * FU), player.doom.health_max)
	end
	
	player.doom.pending_weapon = "fist"
	player.doom.pending_weapon_slot = 1
	
	player.doom.item_flash = $ + HUDFLASH_YELLOWADD
	player.doom.powers[POWERS_BERSERK] = INT32_MAX
	
	S_StartSound(player.realmo, sfx_itempw, nil)
	P_RemoveMobj(mobj)
end
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_POWERUP_BERSERK)
addHook("TouchSpecial", DG.SpecialPickupHook, MT_POWERUP_BERSERK)