local DG = DoomGuy

freeslot("SPR_DBFG", "SPR_DBFF")
freeslot("sfx_bfg")
local function Fire(player, weapon)
	DG.ConsumePlayerAmmo(player, weapon)
	player.realmo.state = S_PLAY_DOOMFIRING_SHOOT
	DG.FirePlayer(player, MT_DBFG, 0, 100, DAMAGETYPE_BFG, player.realmo.angle, player.aiming, 0, 0, 0, 0)
end

local function MakeSound(player, weapon)
	S_StartSound(player.realmo, sfx_bfg, nil)
end

DG.AddWeapon(7, {
	["bfg9000"] = {
		name = "BFG 9000",
		flags = 0,
		ammo_type = "cell",
		ammo_usage = 40,
		states = {
			[WEAPONSTATE_READY] = {
				{sprite = SPR_DBFG, frame = A, fsprite = nil, fframe = nil, tics = -1, flags = 0, func = nil, param = nil}
			},
			
			[WEAPONSTATE_LOWER] = {
				{sprite = SPR_DBFG, frame = A, fsprite = nil, fframe = nil, tics = -1, flags = 0, func = nil, param = nil}
			},
			
			[WEAPONSTATE_RAISE] = {
				{sprite = SPR_DBFG, frame = A, fsprite = nil, fframe = nil, tics = -1, flags = 0, func = nil, param = nil}
			},
			
			[WEAPONSTATE_ATTACK] = {
				{sprite = SPR_DBFG, frame = A, fsprite = nil, fframe = nil, tics = 20, flags = 0, func = MakeSound, param = {}},
				{sprite = SPR_DBFG, frame = B, fsprite = SPR_DBFF, fframe = A, tics = 10, flags = 0, func = nil, param = nil},
				{sprite = SPR_DBFG, frame = B, fsprite = SPR_DBFF, fframe = B, tics = 10, flags = 0, func = Fire, param = {}}, -- Fire
				{sprite = SPR_DBFG, frame = B, fsprite = nil, fframe = nil, tics = 20, flags = 0, func = DG.PlayerRefire, param = {}} -- Refire
			}
		}
	}
})