local DG = DoomGuy

freeslot("SPR_DPST")
freeslot("sfx_pist")
local function Fire(player, weapon)
	DG.ConsumePlayerAmmo(player, weapon)
	player.realmo.state = S_PLAY_DOOMFIRING_SHOOT
	
	local damage = 5 * (P_RandomFixed() % (3 + 1))
	local accurate = player.doom.refire and (6 * FU) or 0
	DG.FirePlayer(player, MT_DBULLET, 2048 * FU, damage, DAMAGETYPE_GUNSHOT, player.realmo.angle, player.aiming, accurate, 0, 0, 0)
	S_StartSound(player.realmo, sfx_pist, nil)
end

DG.AddWeapon(2, {
	["pistol"] = {
		name = "Pistol",
		flags = WEAPONFLAG_AUTOFIRE,
		ammo_type = "clip",
		ammo_usage = 1,
		states = {
			[WEAPONSTATE_READY] = {
				{sprite = SPR_DPST, frame = A, fsprite = nil, fframe = nil, tics = -1, flags = 0, func = nil, param = nil}
			},
			
			[WEAPONSTATE_LOWER] = {
				{sprite = SPR_DPST, frame = A, fsprite = nil, fframe = nil, tics = -1, flags = 0, func = nil, param = nil}
			},
			
			[WEAPONSTATE_RAISE] = {
				{sprite = SPR_DPST, frame = A, fsprite = nil, fframe = nil, tics = -1, flags = 0, func = nil, param = nil}
			},
			
			[WEAPONSTATE_ATTACK] = {
				{sprite = SPR_DPST, frame = A, fsprite = nil, fframe = nil, tics = 4, flags = 0, func = nil, param = nil},
				{sprite = SPR_DPST, frame = D, fsprite = SPR_DPST, fframe = D, tics = 6, flags = 0, func = Fire, param = {}}, -- Fire
				{sprite = SPR_DPST, frame = C, fsprite = nil, fframe = nil, tics = 4, flags = 0, func = nil, param = nil},
				{sprite = SPR_DPST, frame = B, fsprite = nil, fframe = nil, tics = 5, flags = 0, func = DG.PlayerRefire, param = {}} -- Refire
			}
		}
	}
})