local DG = DoomGuy

freeslot("SPR_DRKL", "SPR_DRKF")
freeslot("sfx_rklaun")
local function Fire(player, weapon)
	DG.ConsumePlayerAmmo(player, weapon)
	player.realmo.state = S_PLAY_DOOMFIRING_SHOOT
	
	local rocket = DG.FirePlayer(player, MT_DROCKET, 0, 20, DAMAGETYPE_PROJECTILE, player.realmo.angle, player.aiming, 0, 0, 0, 0)
	if rocket and rocket.valid then
		rocket.dmomx, rocket.dmomy, rocket.dmomz = rocket.momx, rocket.momy, rocket.momz
		rocket.angle = player.realmo.angle
		S_StartSound(rocket, sfx_rklaun, nil)
	end
end

DG.AddWeapon(5, {
	["rocketlauncher"] = {
		name = "Rocket Launcher",
		flags = 0,
		ammo_type = "rocket",
		ammo_usage = 1,
		states = {
			[WEAPONSTATE_READY] = {
				{sprite = SPR_DRKL, frame = A, fsprite = nil, fframe = nil, tics = -1, flags = 0, func = nil, param = nil}
			},
			
			[WEAPONSTATE_LOWER] = {
				{sprite = SPR_DRKL, frame = A, fsprite = nil, fframe = nil, tics = -1, flags = 0, func = nil, param = nil}
			},
			
			[WEAPONSTATE_RAISE] = {
				{sprite = SPR_DRKL, frame = A, fsprite = nil, fframe = nil, tics = -1, flags = 0, func = nil, param = nil}
			},
			
			[WEAPONSTATE_ATTACK] = {
				{sprite = SPR_DRKL, frame = B, fsprite = SPR_DRKF, fframe = A, tics = 4, flags = 0, func = nil, param = nil},
				{sprite = SPR_DRKL, frame = B, fsprite = SPR_DRKF, fframe = B, tics = 4, flags = 0, func = nil, param = nil},
				{sprite = SPR_DRKL, frame = B, fsprite = SPR_DRKF, fframe = C, tics = 4, flags = 0, func = Fire, param = {}},
				{sprite = SPR_DRKL, frame = B, fsprite = SPR_DRKF, fframe = D, tics = 4, flags = 0, func = nil, param = nil},
				{sprite = SPR_DRKL, frame = B, fsprite = nil, fframe = nil, tics = 4, flags = 0, func = nil, param = nil},
				{sprite = SPR_DRKL, frame = B, fsprite = nil, fframe = nil, tics = 0, flags = 0, func = DG.PlayerRefire, param = {}}
			}
		}
	}
})