local DG = DoomGuy

freeslot("SPR_DCLP", "S_AMMO_CLIP", "MT_AMMO_CLIP")
states[S_AMMO_CLIP] = {sprite = SPR_DCLP, frame = A, nextstate = S_AMMO_CLIP, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_AMMO_CLIP] = {
	--$Name "Clip"
	--$Sprite CLIPA0
	--$Category "DOOM Ammo"
	doomednum = 4000,
	spawnstate = S_AMMO_CLIP,
	radius = 20 * FU,
	height = 16 * FU,
	damage = 10, -- give ammo amount
	flags = MF_SPECIAL
}
mobjinfo[MT_AMMO_CLIP].ammotype = "clip"
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_AMMO_CLIP)
addHook("TouchSpecial", DG.AmmoPickupHook, MT_AMMO_CLIP)

freeslot("SPR_DBCL", "S_AMMO_CLIP_BOX", "MT_AMMO_CLIP_BOX")
states[S_AMMO_CLIP_BOX] = {sprite = SPR_DBCL, frame = A, nextstate = S_AMMO_CLIP_BOX, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_AMMO_CLIP_BOX] = {
	--$Name "Clip Box"
	--$Sprite BCLPA0
	--$Category "DOOM Ammo"
	doomednum = 4001,
	spawnstate = S_AMMO_CLIP_BOX,
	radius = 20 * FU,
	height = 16 * FU,
	damage = 50,
	flags = MF_SPECIAL
}
mobjinfo[MT_AMMO_CLIP_BOX].ammotype = "clip"
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_AMMO_CLIP_BOX)
addHook("TouchSpecial", DG.AmmoPickupHook, MT_AMMO_CLIP_BOX)