local DG = DoomGuy

freeslot("SPR_DSTI", "S_ITEM_STIMPACK", "MT_ITEM_STIMPACK")
states[S_ITEM_STIMPACK] = {sprite = SPR_DSTI, frame = A, nextstate = S_ITEM_STIMPACK, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_ITEM_STIMPACK] = {
	--$Name "Stim Pack"
	--$Sprite STIMA0
	--$Category "DOOM Items"
	doomednum = 4008,
	spawnstate = S_ITEM_STIMPACK,
	radius = 20 * FRACUNIT,
	height = 16 * FRACUNIT,
	flags = MF_SPECIAL
}
mobjinfo[MT_ITEM_STIMPACK].execute = function(player, mobj)
	if (player.doom.health >= player.doom.health_max) then return end
	
	player.doom.health = min($ + (10 * FU), player.doom.health_max)
	player.doom.item_flash = $ + HUDFLASH_YELLOWADD
	S_StartSound(player.realmo, sfx_itempi, nil)
	P_RemoveMobj(mobj)
end
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_ITEM_STIMPACK)
addHook("TouchSpecial", DG.SpecialPickupHook, MT_ITEM_STIMPACK)

freeslot("SPR_DMED", "S_ITEM_HEALTHPACK", "MT_ITEM_HEALTHPACK")
states[S_ITEM_HEALTHPACK] = {sprite = SPR_DMED, frame = A, nextstate = S_ITEM_HEALTHPACK, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_ITEM_HEALTHPACK] = {
	--$Name "Health Pack"
	--$Sprite MEDIA0
	--$Category "DOOM Items"
	doomednum = 4009,
	spawnstate = S_ITEM_HEALTHPACK,
	radius = 20 * FRACUNIT,
	height = 16 * FRACUNIT,
	flags = MF_SPECIAL
}
mobjinfo[MT_ITEM_HEALTHPACK].execute = function(player, mobj)
	if (player.doom.health >= player.doom.health_max) then return end
	
	player.doom.health = min($ + (25 * FU), player.doom.health_max)
	player.doom.item_flash = $ + HUDFLASH_YELLOWADD
	S_StartSound(player.realmo, sfx_itempi, nil)
	P_RemoveMobj(mobj)
end
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_ITEM_HEALTHPACK)
addHook("TouchSpecial", DG.SpecialPickupHook, MT_ITEM_HEALTHPACK)