local DG = DoomGuy

freeslot("SPR_DBPK", "S_POWERUP_BACKPACK", "MT_POWERUP_BACKPACK")
states[S_POWERUP_BACKPACK] = {sprite = SPR_DBPK, frame = A, nextstate = S_POWERUP_BACKPACK, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_POWERUP_BACKPACK] = {
	--$Name "Backpack"
	--$Sprite BPAKA0
	--$Category "DOOM Powerups"
	doomednum = 4017,
	spawnstate = S_POWERUP_BACKPACK,
	radius = 20 * FRACUNIT,
	height = 16 * FRACUNIT,
	flags = MF_SPECIAL
}
mobjinfo[MT_POWERUP_BACKPACK].execute = function(player, mobj)
	for index, ammo in pairs(DG.Ammos) do
		if not player.doom.powers[POWERS_BACKPACK] then
			player.doom.ammo_max[index] = ammo.max_amount * 2
		end
		DG.GivePlayerAmmo(player, index, ammo.give_amount)
	end
	player.doom.powers[POWERS_BACKPACK] = true
	
	S_StartSound(player.realmo, sfx_itempi, nil)
	P_RemoveMobj(mobj)
end
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_POWERUP_BACKPACK)
addHook("TouchSpecial", DG.SpecialPickupHook, MT_POWERUP_BACKPACK)