local DG = DoomGuy

freeslot("SPR_DRST", "S_POWERUP_HAZARDSUIT", "MT_POWERUP_HAZARDSUIT")
states[S_POWERUP_HAZARDSUIT] = {sprite = SPR_DRST, frame = A, nextstate = S_POWERUP_HAZARDSUIT, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_POWERUP_HAZARDSUIT] = {
	--$Name "Hazard Suit"
	--$Sprite RSUTA0
	--$Category "DOOM Powerups"
	doomednum = 4018,
	spawnstate = S_POWERUP_HAZARDSUIT,
	radius = 20 * FRACUNIT,
	height = 16 * FRACUNIT,
	flags = MF_SPECIAL
}
mobjinfo[MT_POWERUP_HAZARDSUIT].execute = function(player, mobj)
	player.doom.powers[POWERS_RADIATION_SUIT] = 60 * TR
	
	S_StartSound(player.realmo, sfx_itempw, nil)
	P_RemoveMobj(mobj)
end
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_POWERUP_HAZARDSUIT)
addHook("TouchSpecial", DG.SpecialPickupHook, MT_POWERUP_HAZARDSUIT)