local DG = DoomGuy

freeslot("SPR_DPIN", "S_POWERUP_INVISIBILITY", "MT_POWERUP_INVISIBILITY")
states[S_POWERUP_INVISIBILITY] = {sprite = SPR_DPIN, frame = A|FF_ANIMATE, nextstate = S_POWERUP_INVISIBILITY, tics = -1, var1 = 3, var2 = 6}
mobjinfo[MT_POWERUP_INVISIBILITY] = {
	--$Name "Partial Invisibility Sphere"
	--$Sprite PINVA0
	--$Category "DOOM Powerups"
	doomednum = 4020,
	spawnstate = S_POWERUP_INVISIBILITY,
	radius = 20 * FRACUNIT,
	height = 16 * FRACUNIT,
	flags = MF_SPECIAL
}
mobjinfo[MT_POWERUP_INVISIBILITY].execute = function(player, mobj)
	player.doom.powers[POWERS_INVISIBILITY] = 30 * TR
	
	player.doom.item_flash = $ + HUDFLASH_YELLOWADD
	S_StartSound(player.realmo, sfx_itempw, nil)
	P_RemoveMobj(mobj)
end
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_POWERUP_INVISIBILITY)
addHook("TouchSpecial", DG.SpecialPickupHook, MT_POWERUP_INVISIBILITY)