local DG = DoomGuy

freeslot("SPR_DPLA")
freeslot("sfx_plasma")
local function Fire(player, weapon)
	DG.ConsumePlayerAmmo(player, weapon)
	player.realmo.state = S_PLAY_DOOMFIRING_SHOOT
	
	local projectile = DG.FirePlayer(player, MT_DPLASMA, 0, 5, DAMAGETYPE_PLASMA, player.realmo.angle, player.aiming, 0, 0, 0, 0)
	S_StartSound(projectile, sfx_plasma, nil)
end

local function RandomizeFrame(player, weapon)
	return SPR_DPLA, C + (P_RandomByte() & 1)
end

DG.AddWeapon(6, {
	["plasmarifle"] = {
		name = "Plasma Rifle",
		flags = WEAPONFLAG_AUTOFIRE,
		ammo_type = "cell",
		ammo_usage = 1,
		states = {
			[WEAPONSTATE_READY] = {
				{sprite = SPR_DPLA, frame = A, fsprite = nil, fframe = nil, tics = -1, flags = 0, func = nil, param = nil}
			},
			
			[WEAPONSTATE_LOWER] = {
				{sprite = SPR_DPLA, frame = A, fsprite = nil, fframe = nil, tics = -1, flags = 0, func = nil, param = nil}
			},
			
			[WEAPONSTATE_RAISE] = {
				{sprite = SPR_DPLA, frame = A, fsprite = nil, fframe = nil, tics = -1, flags = 0, func = nil, param = nil}
			},
			
			[WEAPONSTATE_ATTACK] = {
				{sprite = RandomizeFrame, frame = nil, fsprite = nil, fframe = nil, tics = 3, flags = 0, func = Fire, param = {}}, -- Fire
				{sprite = SPR_DPLA, frame = B, fsprite = nil, fframe = nil, tics = 20, flags = WEAPONSTATEFLAG_NOSPEEDMODIFIER, func = DG.PlayerRefire, param = {}} -- Refire
			}
		}
	}
})