local DG = DoomGuy
local DebugBullet = false
addHook("MobjThinker", function(mobj)
	if not mobj or not mobj.valid then return end
	
	for i = 0, 256 do
		if P_RailThinker(mobj) then break end
		if (mobj.threshold > 0) and ((abs(R_PointToDist2(mobj.x, mobj.y, mobj.target.x, mobj.target.y)) > mobj.threshold) or (abs(mobj.z - mobj.target.z) > mobj.threshold)) then
			P_RemoveMobj(mobj)
			break
		end
		
		if DebugBullet and not (i % 16) then
			local debug = P_SpawnMobjFromMobj(mobj, 0, 0, 0, MT_THOK)
			debug.radius = mobj.radius
			debug.height = mobj.height
			debug.scale = $ / 3
		end
	end
end, MT_DBULLET)