local DG = DoomGuy
addHook("PlayerSpawn", function(player)
	if not DG.PlayerIsDoomGuy(player) then return end
	if not player.doom or (gametype ~= GT_COOP) or (player.doom.dead and not doomgameplay.keepinv_on_death.value) then
		DG.SetupPlayer(player)
	end
	
	if (gametype == GT_COOP) and player.doom.dead and doomgameplay.keepinv_on_death.value then
		player.doom.health = 100 * FU
		player.doom.health_max = 100 * FU
		
		player.doom.oxygen = 100 * FU
		player.doom.oxygen_max = 100 * FU
	end
	
	if player.doom and not player.spectator then
		player.doom.powers = {} -- reset
	
		local effect = P_SpawnMobjFromMobj(player.realmo, 0, 0, 0, MT_DTELEPORT)
		effect.spriteyscale = FU + (FU / 5)
		S_StartSound(player.realmo, sfx_telepo)
	end
end)